/* Variables */
:root {
  --font-primary: "Helvetica Neue",Helvetica, Arial, sans-serif;
  --color-primary: #e76a23;
  --color-secondary: #feb201;
  --color-accent: #feb201;
  --color-text: #212528;
  --color-bg: #ffffff;
  --color-border: #bfbfbf;
  --color-bg-accent: #f5f5f5;
  --color-link: #337AB7;

  --spacing-xs: 4px;
  --spacing-sm: 8px;
  --spacing-md: 16px;
  --spacing-lg: 24px;
  --spacing-xl: 32px;

  --font-size-text: 0.75rem;
  --font-size-subtitle: 1rem;
  --font-size-title: 1.5rem;
  --font-size-h1: 2rem;

  --border-radius: 4px;
}

html {
  scroll-behavior: smooth;
}
/* General Styles */
body {
  font-family: var(--font-primary);
  background-color: var(--color-bg);
  color: var(--color-text);
  margin: 0;
  line-height: 1.6;
}
main {
  position: relative;
}
section {
  scroll-margin-top: 120px;
}
h2,
p {
  margin: 0;
}
#loom-companion-mv3{
    display: none;
}

.whatsapp__fixed {
  position: fixed;
  bottom: 5%;
  left: calc(50% - 52px);
  background-color: #25d366;
  color: #fff;
  padding: 10px 20px;
  border-radius: 20px;
  font-size: 1em;
  z-index: 20;
}

.button {
  background-color: var(--color-primary);
  color: var(--color-text);
  font-size: 14px;
  padding: 6px 12px;
  border-radius: 4px;
  transition: background-color 0.3s, color 0.3s;
}
.button:hover {
    background-color: var(--color-bg-accent);
    color: var(--color-primary);
}
.button__secondary {
  background-color: var(--color-bg-accent);
  color: var(--color-text);
}
.button__form {
  border: none;
  background-color: white;
  cursor: pointer;
}
.button__form:hover {
  background-color: var(--color-primary);
  color: var(--color-text);
}
.button__link{
  color: var(--color-link);
}
.button__link:hover{
  color: var(--color-primary);
  text-decoration: underline;
}
.title__section {
  padding-bottom: 6px;
  margin-bottom: 6px;
  font-size: var(--font-size-title);
  line-height: 28px;
  border-bottom: 1px solid var(--color-border);
}
.title__section span {
  width: 30px;
  color: var(--color-primary);
}

/* Header---------------------- */
header {
  background-color: var(--color-text);
}
.navbar {
  position: sticky;
  top: 0;
  left: 0;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px 5%;
  width: 100%;
  background-color: var(--color-text);
  z-index: 200;
}

.logo__header {
  width: 60%;
  max-width: 152px;
}

header .menu-toggle {
  font-size: 2em;
  cursor: pointer;
  background: none;
  border: none;
  color: var(--color-primary);
  z-index: 12;
}

/* Navbar Mobile --------- */
.mobile-nav {
  position: fixed;
  top: 0;
  right: -100%;
  width: 100%;
  height: 100%;
  background-color: var(--color-text);
  transition: right 0.3s ease;
  padding: 50px 20px 20px;
  z-index: 10;
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: center;
}
.mobile-nav ul{
  list-style: none;
}
.mobile-nav a {
  color: #fff;
}
.mobile-nav.active {
  right: 0;
  z-index: 100;
}
.nav_title {
  color: var(--color-primary);
  font-size: var(--font-size-subtitle);
  margin: 0 0 6px;
}
.mobile-nav__li {
  margin-bottom: 16px;
}
.list-nav {
  margin: 0;
}

.mobile-nav .whatsapp {
  position: absolute;
  bottom: 30px;
  left: 50%;
  transform: translateX(-50%);
  background-color: #28D146;
  color: #fff;
  padding: 10px 20px;
  border-radius: 20px;
  font-size: 1em;
}

.mobile-nav ul {
  list-style: circle;
  padding: 0;
}
.mobile-nav .list-nav {
  padding-left: 1.5rem;
  color: white;
}

.mobile-nav .section-title {
  color: #ff8300;
  font-weight: bold;
  font-size: 1.2em;
  margin: 0 0 6px;
}

/* Navegación principal */
.site-nav {
  display: none; /* Cambiado de 'none' para que sea visible */
  background-color: var(--color-text);
}

.site-nav__list {
  display: flex;
  list-style: none;
  margin: 0;
  padding: 10px 20px;
}

.site-nav__item {
  margin: 0 15px;
  position: relative;
}

.site-nav__link {
  color: #fff;
  text-decoration: none;
  transition: color 0.3s;
}

.site-nav__link:hover {
  color: #ff8300;
}

/* Submenú */
.site-nav__item:hover > .site-nav__submenu {
  display: block; /* Asegura que el submenú se muestre */
}

.site-nav__submenu {
  display: none; /* Oculta el submenú por defecto */
  position: absolute;
  top: 100%;
  left: 0;
  background-color: #111;
  min-width: 200px;
  list-style: none;
  margin: 0;
  padding: 10px;
  z-index: 100; /* Para evitar problemas de superposición */
}

.site-nav__submenu-item {
  margin: 0;
}

.site-nav__submenu-link {
  color: #fff;
  text-decoration: none;
  transition: color 0.3s;
}

.site-nav__submenu-link:hover {
  color: #ff8300;
}

/* Indicador visual para elementos con submenús */
.site-nav__item:hover::after {
  content: "";
  display: block;
  position: absolute;
  bottom: -5px;
  left: 0;
  width: 100%;
  height: 2px;
  background-color: #ff8300;
}

/* Navegación dentro de la pagina */
.submenu-sitio__container {
  position: sticky;
  top: 60px;
  z-index: 10; /* Asegura que se mantenga encima de otros elementos */
  background-color: #fff; /* Fondo blanco para destacar */
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1); /* Sombra suave para separarlo visualmente */
  padding: 10px 0;
  margin-bottom: 26px;
}

/* Navegación secundaria */
.submenu-sitio {
  overflow-x: auto; /* Permite scroll horizontal */
  white-space: nowrap; /* Evita el salto de línea de los elementos */
  -webkit-overflow-scrolling: touch; /* Suaviza el scroll en dispositivos móviles */
}

/* Lista horizontal */
.submenu-sitio__list {
  display: flex;
  overflow-x: scroll; /* Habilita desplazamiento horizontal */
  scrollbar-width: none; /* Oculta la barra en Firefox */
  padding: 0;
  margin: 0;
  gap: 10px; /* Espaciado entre los elementos */
}
.submenu-sitio__list::-webkit-scrollbar {
  display: none; /* Oculta la barra en navegadores WebKit */
}

/* Elementos de la lista */
.submenu-sitio__item {
  flex: 0 0 auto; /* Los elementos no se reducen ni se expanden automáticamente */
  text-align: center; /* Centra el texto en cada elemento */
}

/* Enlaces */
.submenu-sitio__link {
  display: block;
  padding: 10px 20px;
  text-decoration: none;
  color: #333;
  font-weight: bold;
  font-size: 14px;
  border-radius: 5px;
  transition: background-color 0.3s, color 0.3s;
}

.submenu-sitio__link:hover {
  background-color: var(--color-bg-accent);
  color: var(--color-primary); /* Color azul para hover */
}

/* Efecto de scroll centrado */
.submenu-sitio__item {
  scroll-snap-align: center; /* Hace que los elementos queden centrados al desplazarse */
}

/* Ajustes para scroll suave */
.submenu-sitio {
  scroll-snap-type: x mandatory; /* Requiere que el scroll se detenga en cada elemento */
  scrollbar-width: thin; /* Estilo fino para scrollbars en Firefox */
}

.submenu-sitio::-webkit-scrollbar {
  height: 6px; /* Altura del scrollbar */
}

.submenu-sitio::-webkit-scrollbar-thumb {
  background: rgba(0, 0, 0, 0.2); /* Color de la barra */
  border-radius: 3px;
}

/* Content (main) ----------------------------- */
main {
  width: 100%;
}
section {
  padding: 0 5%;
  margin-bottom: 26px;
}
/* Course -----------*/
.course {
  padding: 0;
}
.course__video {
  width: 100%;
  aspect-ratio: 2/1;
}
.course__intro {
  padding: 0 5%;
}
.course__title {
  font-family: var(--font-primary);
  font-style: normal;
  font-weight: 400;
  font-size: var(--font-size-h1);
  line-height: 37px;
}
.course__subtitle {
  margin-bottom: 12px;
}
.course__intro--buttons__container{
    padding: .5em 0 1em;
}

/* A quién está dirigido ------ */
.who_is_it_for{
  margin-bottom: 48px;
}

/* Temario ----------*/
.course__content {
  position: relative;
  padding: 35px 5%;
  margin: 0 5% 26px;
  border: 1px solid var(--color-border);
  border-radius: var(--border-radius);
}
.course__content-title {
  font-size: var(--font-size-title);
  text-align: center;
}
.course__content-icono {
  position: absolute;
  top: -20px;
  left: calc(50% - 1em);
  padding: 0 .5em;
  font-size: 2rem;
  background-color: white;
  color: var(--color-primary);
}
/* Modulo */
.course__module {
  padding-bottom: 6px;
  margin-bottom: 12px;
  border-bottom: 1px solid var(--color-border);
}
.course__module-list {
  padding: 0;
  list-style-type: none;
}
.course__module-tag {
  padding: 6px 12px;
  margin-right: 6px;
  background: var(--color-bg-accent);
  border-radius: var(--border-radius);
}
.course__module-title {
  margin: 0 0 6px;
  font-size: var(--font-size-subtitle);
}
.course__module-description {
  padding: 0 1.2rem;
  font-size: var(--font-size-text);
  line-height: 14px;
  opacity: 0.8;
}

/* Bonus: Cursos adicionales------ */
.bonus {
  padding: 32px 5%;
  background-color: var(--color-accent);
}
.bonus__title {
  font-size: var(--font-size-title);
  margin: 0 0 12px;
}
.bonus__list-course {
  padding-left: 1.2rem;
}

/* info-item: texto informativo */
.info__list {
  padding: 0;
  list-style-type: none;
}
.info-item {
  margin-bottom: 12px;
}
.info-item__big {
  font-size: var(--font-size-subtitle);
  margin: 0 0 6px;
}
.info-item__small {
  font-size: var(--font-size-text);
}
.info-item__sub-list{
    padding-left: 1em;
}

/* Testimonios--- */

.testimonials__quote {
  padding: 12px;
  background-color: var(--color-bg-accent);
  margin: 12px 0 6px;
}
.testimonials__author {
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color: none;
}
.testimonials__author p {
  font-size: var(--font-size-text);
  opacity: 0.8;
}
.testimonials__author p span {
  display: block;
}
.testimonials__starts {
  width: auto;
  height: 100%;
}

/* Contacto */
.contact {
  padding: 22px 5%;
  margin-bottom: 0;
  background-color: var(--color-accent);
}
.title__section--contact {
  border: none;
}

/* Formulario de contacto */
.contact__form {
  padding: 26px;
  border-radius: var(--border-radius);
  background-color: var(--color-bg-accent);
}
.contact__label {
  display: block;
  font-size: var(--font-size-subtitle);
  margin-bottom: 6px;
}
.contact__input,
.contact__textarea {
  width: 100%;
  margin-bottom: 12px;
  padding: 6px 8px;
  border: 1px solid #e0e0e0;
  background-color: white;
  border-radius: var(--border-radius);
}

/* Footer */
.footer {
  margin: 0;
  /* padding-top: 12px; */
  text-align: center;
  background-color: var(--color-text);
  color: #fff;
}
.footer__content{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 26px;
    padding: 12px 5%;
}
.footer__img {
  width: 50%;
  max-width: 250px;
}
.correo-form__label {
  display: block;
}
.correo-form {
  width: 100%;
}
.correo-form input {
  border: none;
  width: 60%;
  padding: 6px 8px;
  margin: 0;
  background-color: white;
  border-radius: var(--border-radius);
}
.correo-form button {
  border: none;
  margin: 0;
}
.footer-sites__list {
  list-style-type: none;
}
.footer-sites__list li {
  display: inline;
}
.footer-sites__list li a {
  color: #fff;
  margin: 0 5px;
}
.footer-sites__list li a:hover {
  color: var(--color-primary);
}
.footer-sites__list li::after {
  content: "|";
}
.footer-sites__list li:last-child::after {
  content: "";
}
.footer-dark{
    background-color: #282d32;
    width: 100%;
}
.footer-dark__list{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    gap: 12px;
    list-style: none;
    padding: 1em;
}
.footer-dark__list a{
    color: var(--color-bg-accent);
}
.footer-dark__list a:hover{
    color: var(--color-primary);
}

/* Responsive Desktop ------------------------------------*/
@media (min-width: 769px) {
    :root {
        --font-size-text: .8rem;
    }
    main{
        display: grid; 
        grid-template-areas: 
        "header header" 
        "sidebar content"; 
        grid-template-columns: 1fr 3fr; 
        gap: 10px; 
        padding: 10px;
        width: 80%;
        margin: 0 auto;
    }
    section {
        scroll-margin-top: 90px;
    }
    .course{
        grid-area: header;
        display: flex;
        flex-direction: column-reverse;
    }
    .course__intro{
        padding: 0;
    }
    .course__title{
        padding-bottom: .4em;
        border-bottom: 1px solid var(--color-border);
    }
    .submenu-sitio__container{
        grid-area: sidebar;
        height: max-content;
        padding-top: 1em;
        box-shadow: none;
    }
    .submenu-sitio__item{
        text-align: start;
        width: fit-content;
    }
    .submenu-sitio__item .submenu-sitio__link{
        margin-left: 1.2em;
    }
    .submenu-sitio__list{
        flex-direction: column;
    }
    .content__info{
        grid-area: content;
    }
  .site-nav {
    display: block;
  }

  .menu-toggle {
    display: none;
  }

  .mobile-nav {
    display: none;
  }
  .info-item__small{
    font-size: .9rem;
  }
  .whatsapp__fixed{
    right: 5%;
    left: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 50px;
    height: 50px;
    font-size: 2rem;
    border-radius: 50%;
    /* transition: ; */
    transition: display .4s, background-color 0.3s, color 0.3s;
  }
  .whatsapp__fixed span{
    display: none;
  }
  .whatsapp__fixed:hover{
    background-color: var(--color-bg-accent);
    color: #28D146;
    width: fit-content;
    border-radius: 1em;
  }
  .whatsapp__fixed:hover span{
    display: inline-block;
    font-size: 1.5rem;
    margin-left: 4px;
  }
  .info-item{
    margin-bottom: 16px;
  }
  .footer__logo .logo__footer {
    max-width: 220px;
  }
}
